//----------------------------------------------------------------------//
// HTMLeLXgϊNX											//
//																		//
//----------------------------------------------------------------------//
#ifndef htmconvH
#define htmconvH

//---------------------------------------------------------------------------
#define DEF_LINE_WIDTH		80
#define DEF_BLANK_LN_LIMIT	5

//---------------------------------------------------------------------------
int check_UTF8(BYTE *bp, int size);
int get_MemoryCodePage(TMemoryStream *ms);
void DelTagBlock(TStringList *lst, UnicodeString start_wd, UnicodeString end_wd);

//---------------------------------------------------------------------------
class HtmConv {
private:
	UnicodeString TxtLineBuf;
	TStringList *AlignList;
	bool Skip;
	bool fPRE,fXMP;

	void DelTagBlock(TStringList *lst, UnicodeString start_wd, UnicodeString end_wd);
	UnicodeString GetTagAtr(UnicodeString s, UnicodeString t, UnicodeString a);
	UnicodeString GetTag(UnicodeString s);
	void FlushText();

public:
	HtmConv();
	~HtmConv();

	TStringList *HtmBuf;		//HTML̓obt@
	TStringList *TxtBuf;		//eLXgo̓obt@
	UnicodeString  TempDir;
	int OutCodePage;			//t@Cۑ̃R[hy[W

	UnicodeString  HeadStr;		//wb_
	UnicodeString  FootStr;		//tb^
	UnicodeString  FileName;	//̓t@C
	UnicodeString  FileTime;	//t@C̃^CX^v
	UnicodeString  UrlStr;		//URL
	UnicodeString  BaseStr;		//<base href=c>
	UnicodeString  TitleStr;	//^Cg
	UnicodeString  StatMsg;		//Xe[^XbZ[W

	int  LineWidth;				//
	bool ForceCr;				//s
	int  BlankLnLimit;			//As
	bool NoPstHdr;				//o󂯂Ȃ
	UnicodeString HeaderStr[6];	//o
	UnicodeString HrLineStr;	//HRr
	UnicodeString IndentStr;	//Cfg
	UnicodeString UlMarkStr;	//}[N
	bool ZenNumber;

	bool UseAlt;				//֕ŕ\
	bool AddImgSrc;				//摜̃t@Ct
	UnicodeString DefAltStr;	//ftHg
	UnicodeString AltBraStr;	//摜 ͂
	UnicodeString AltKetStr;
	UnicodeString B_BraStr;		// ͂
	UnicodeString B_KetStr;
	UnicodeString I_BraStr;		//Α ͂
	UnicodeString I_KetStr;
	UnicodeString U_BraStr;		// ͂
	UnicodeString U_KetStr;
	UnicodeString CellSepStr;	//Z؂

	bool InsLink;				//N}
	bool OnlyExLink;			//ON̂
	bool AddCrLink;				//Oɉs
	UnicodeString LnkBraStr;	//N ͂
	UnicodeString LnkKetStr;

	UnicodeString RefEntity(UnicodeString s);
	UnicodeString GetTitle(UnicodeString fnam);
	bool LoadFile(UnicodeString fnam);
	void Convert();
	bool SaveToFileCP(UnicodeString fnam);
};
//---------------------------------------------------------------------------
#endif
